Bug 1847341 (CVE-2020-2181) - CVE-2020-2181 jenkins-credentials-binding-plugin: information disclosure in build log when build contains no build steps
Summary: CVE-2020-2181 jenkins-credentials-binding-plugin: information disclosure in b...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2181
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1848215 1848216 1861840 1861842
Blocks: 1847352
TreeView+ depends on / blocked
 
Reported: 2020-06-16 09:07 UTC by Dhananjay Arunesh
Modified: 2020-10-20 15:50 UTC (History)
10 users (show)

Fixed In Version: jenkins-credential-binding-plugin 1.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-08 13:19:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3625 None None None 2020-09-08 12:07:56 UTC
Red Hat Product Errata RHSA-2020:4265 None None None 2020-10-20 15:50:40 UTC

Description Dhananjay Arunesh 2020-06-16 09:07:36 UTC
A vulnerability was found in Jenkins Credentials Binding Plugin 1.22 and earlier does not mask (i.e., replace with asterisks) secrets in the build log when the build contains no build steps.

Reference:
http://www.openwall.com/lists/oss-security/2020/05/06/3

Comment 1 Dhananjay Arunesh 2020-06-16 09:25:18 UTC
External References:

https://jenkins.io/security/advisory/2020-05-06/#SECURITY-1374

Comment 4 errata-xmlrpc 2020-09-08 12:07:53 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.4

Via RHSA-2020:3625 https://access.redhat.com/errata/RHSA-2020:3625

Comment 5 Product Security DevOps Team 2020-09-08 13:19:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2181

Comment 7 errata-xmlrpc 2020-10-20 15:50:39 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.3

Via RHSA-2020:4265 https://access.redhat.com/errata/RHSA-2020:4265


Note You need to log in before you can comment on or make changes to this bug.